<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsDeviceParameter Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_xs_device_parameter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsDeviceParameter Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class to set and retrieve parameters from a <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object.  
 <a href="struct_xs_device_parameter.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af70700e203eeec13dca755f955f4ee79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af70700e203eeec13dca755f955f4ee79"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#af70700e203eeec13dca755f955f4ee79">XsDeviceParameter</a> (<a class="el" href="group__enums.html#ga43885aa2a94d5112c89a9159d7d30657">XsDeviceParameterIdentifier</a> <a class="el" href="struct_xs_device_parameter.html#ac760e14c5886276d43eb0024dedcc836">id</a>)</td></tr>
<tr class="memdesc:af70700e203eeec13dca755f955f4ee79"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, initializes the object with a parameter <em>id</em>. <br /></td></tr>
<tr class="separator:af70700e203eeec13dca755f955f4ee79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60ed9dd01363530adebbad99f750dc88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60ed9dd01363530adebbad99f750dc88"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a60ed9dd01363530adebbad99f750dc88">XsDeviceParameter</a> (<a class="el" href="group__enums.html#ga43885aa2a94d5112c89a9159d7d30657">XsDeviceParameterIdentifier</a> <a class="el" href="struct_xs_device_parameter.html#ac760e14c5886276d43eb0024dedcc836">id</a>, int value)</td></tr>
<tr class="memdesc:a60ed9dd01363530adebbad99f750dc88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor, initializes the object with a parameter <em>id</em> and desired <em>value</em>. <br /></td></tr>
<tr class="separator:a60ed9dd01363530adebbad99f750dc88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac760e14c5886276d43eb0024dedcc836"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac760e14c5886276d43eb0024dedcc836"></a>
<a class="el" href="group__enums.html#ga43885aa2a94d5112c89a9159d7d30657">XsDeviceParameterIdentifier</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#ac760e14c5886276d43eb0024dedcc836">id</a> () const </td></tr>
<tr class="memdesc:ac760e14c5886276d43eb0024dedcc836"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current parameter identifier. <br /></td></tr>
<tr class="separator:ac760e14c5886276d43eb0024dedcc836"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d05a7a64cafe6cfcab376bd9905f98f"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a4d05a7a64cafe6cfcab376bd9905f98f"><td class="memTemplItemLeft" align="right" valign="top">T&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a4d05a7a64cafe6cfcab376bd9905f98f">getValue</a> () const </td></tr>
<tr class="memdesc:a4d05a7a64cafe6cfcab376bd9905f98f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#a4d05a7a64cafe6cfcab376bd9905f98f">More...</a><br /></td></tr>
<tr class="separator:a4d05a7a64cafe6cfcab376bd9905f98f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50aef55cf08bd7364ebfcfb2cfbe8b49"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:a50aef55cf08bd7364ebfcfb2cfbe8b49"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a50aef55cf08bd7364ebfcfb2cfbe8b49">setValue</a> (T value)</td></tr>
<tr class="memdesc:a50aef55cf08bd7364ebfcfb2cfbe8b49"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#a50aef55cf08bd7364ebfcfb2cfbe8b49">More...</a><br /></td></tr>
<tr class="separator:a50aef55cf08bd7364ebfcfb2cfbe8b49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad77e841bb89e0298318e64015f3de030"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:ad77e841bb89e0298318e64015f3de030"><td class="memTemplItemLeft" align="right" valign="top">bool&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#ad77e841bb89e0298318e64015f3de030">getValue</a> () const </td></tr>
<tr class="memdesc:ad77e841bb89e0298318e64015f3de030"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#ad77e841bb89e0298318e64015f3de030">More...</a><br /></td></tr>
<tr class="separator:ad77e841bb89e0298318e64015f3de030"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73ab20b632f223ca64657ce6f6db304a"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a73ab20b632f223ca64657ce6f6db304a"><td class="memTemplItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a73ab20b632f223ca64657ce6f6db304a">getValue</a> () const </td></tr>
<tr class="memdesc:a73ab20b632f223ca64657ce6f6db304a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#a73ab20b632f223ca64657ce6f6db304a">More...</a><br /></td></tr>
<tr class="separator:a73ab20b632f223ca64657ce6f6db304a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ec889faab44bb2b667fb15afa9825c2"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a0ec889faab44bb2b667fb15afa9825c2"><td class="memTemplItemLeft" align="right" valign="top">uint16_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a0ec889faab44bb2b667fb15afa9825c2">getValue</a> () const </td></tr>
<tr class="memdesc:a0ec889faab44bb2b667fb15afa9825c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#a0ec889faab44bb2b667fb15afa9825c2">More...</a><br /></td></tr>
<tr class="separator:a0ec889faab44bb2b667fb15afa9825c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8f2db3ac9570d5564431a6c1f7c856f"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:ad8f2db3ac9570d5564431a6c1f7c856f"><td class="memTemplItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#ad8f2db3ac9570d5564431a6c1f7c856f">getValue</a> () const </td></tr>
<tr class="memdesc:ad8f2db3ac9570d5564431a6c1f7c856f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#ad8f2db3ac9570d5564431a6c1f7c856f">More...</a><br /></td></tr>
<tr class="separator:ad8f2db3ac9570d5564431a6c1f7c856f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa58e19725358aa52c79a288fcf23d2b2"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:aa58e19725358aa52c79a288fcf23d2b2"><td class="memTemplItemLeft" align="right" valign="top">int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#aa58e19725358aa52c79a288fcf23d2b2">getValue</a> () const </td></tr>
<tr class="memdesc:aa58e19725358aa52c79a288fcf23d2b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the stored parameter value.  <a href="#aa58e19725358aa52c79a288fcf23d2b2">More...</a><br /></td></tr>
<tr class="separator:aa58e19725358aa52c79a288fcf23d2b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae2904d43533e85d0dd2e62cbdec9cce"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:aae2904d43533e85d0dd2e62cbdec9cce"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#aae2904d43533e85d0dd2e62cbdec9cce">setValue</a> (bool value)</td></tr>
<tr class="memdesc:aae2904d43533e85d0dd2e62cbdec9cce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#aae2904d43533e85d0dd2e62cbdec9cce">More...</a><br /></td></tr>
<tr class="separator:aae2904d43533e85d0dd2e62cbdec9cce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29c6842ac5ea635838212f98d033df0f"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a29c6842ac5ea635838212f98d033df0f"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a29c6842ac5ea635838212f98d033df0f">setValue</a> (uint8_t value)</td></tr>
<tr class="memdesc:a29c6842ac5ea635838212f98d033df0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#a29c6842ac5ea635838212f98d033df0f">More...</a><br /></td></tr>
<tr class="separator:a29c6842ac5ea635838212f98d033df0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8494a4745b2067a28cce4e5813068877"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a8494a4745b2067a28cce4e5813068877"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a8494a4745b2067a28cce4e5813068877">setValue</a> (uint16_t value)</td></tr>
<tr class="memdesc:a8494a4745b2067a28cce4e5813068877"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#a8494a4745b2067a28cce4e5813068877">More...</a><br /></td></tr>
<tr class="separator:a8494a4745b2067a28cce4e5813068877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a752e8aa8e27c540122e48b003f6d3e0b"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a752e8aa8e27c540122e48b003f6d3e0b"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#a752e8aa8e27c540122e48b003f6d3e0b">setValue</a> (uint32_t value)</td></tr>
<tr class="memdesc:a752e8aa8e27c540122e48b003f6d3e0b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#a752e8aa8e27c540122e48b003f6d3e0b">More...</a><br /></td></tr>
<tr class="separator:a752e8aa8e27c540122e48b003f6d3e0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa11e962f254a4c89d4297b45600fdf60"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:aa11e962f254a4c89d4297b45600fdf60"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="struct_xs_device_parameter.html#aa11e962f254a4c89d4297b45600fdf60">setValue</a> (int value)</td></tr>
<tr class="memdesc:aa11e962f254a4c89d4297b45600fdf60"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the parameter value.  <a href="#aa11e962f254a4c89d4297b45600fdf60">More...</a><br /></td></tr>
<tr class="separator:aa11e962f254a4c89d4297b45600fdf60"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class to set and retrieve parameters from a <a class="el" href="struct_xs_device.html" title="A pointer to an XsDevice object. ">XsDevice</a> object. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4d05a7a64cafe6cfcab376bd9905f98f"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="ad77e841bb89e0298318e64015f3de030"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="a73ab20b632f223ca64657ce6f6db304a"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="a0ec889faab44bb2b667fb15afa9825c2"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="ad8f2db3ac9570d5564431a6c1f7c856f"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="aa58e19725358aa52c79a288fcf23d2b2"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int XsDeviceParameter::getValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the stored parameter value. </p>
<dl class="section return"><dt>Returns</dt><dd>The parameter value in the desired type. </dd></dl>

</div>
</div>
<a class="anchor" id="a50aef55cf08bd7364ebfcfb2cfbe8b49"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">T&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aae2904d43533e85d0dd2e62cbdec9cce"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a29c6842ac5ea635838212f98d033df0f"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8494a4745b2067a28cce4e5813068877"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a752e8aa8e27c540122e48b003f6d3e0b"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="aa11e962f254a4c89d4297b45600fdf60"></a>
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void XsDeviceParameter::setValue </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Sets the parameter value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>the desired parameter value. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
